/*  KRunning
 *  Copyright (C) 1998-2001 Andreas Scherf
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <gtk/gtk.h>
#include <gdk/gdkkeysyms.h>
#include "main.h"
#include "krunenv.h"
#include "about_dlg.h"
#include "../pixmaps/postgres.xpm"

void
create_About ()
{
  GtkWidget      *dialog;
  GtkWidget      *widget;
  GtkWidget      *hbuttonbox;

  GdkPixmap      *postgres_pixmap;
  GdkBitmap      *postgres_mask;
  GtkWidget      *pixmap1;

  GtkStyle       *style;

  gchar          *message;
  message = g_strdup_printf (_("\n%s\n\"%s\"\nVersion %s\n\n"
			       " KRunning comes with ABSOLUTELY NO WARRANTY; \n"
			       " for details see  the file COPYING. \n"
			       " This is free software, and you are welcome \n" " to redistribute it under certain conditions; \n" " for details see  the file COPYING. \n" "\n" " Please email comments and suggestions to: \n" " %s \n"), KRUNNING_INFO, CODENAME, KRUNNING_VERSION, MAIL);

  dialog = gtk_dialog_new ();

  widget = gtk_label_new (message);
  gtk_box_pack_start (GTK_BOX (GTK_DIALOG (dialog)->vbox), widget, FALSE, FALSE, 0);
  GTK_WINDOW (dialog)->type = GTK_WINDOW_DIALOG;
  gtk_widget_show (widget);

  style = gtk_style_new ();
  style->bg[GTK_STATE_NORMAL] = WHITE;
  gtk_widget_set_style (dialog, style);

  gtk_widget_realize (dialog);
  postgres_pixmap = gdk_pixmap_create_from_xpm_d (dialog->window, &postgres_mask, &dialog->style->bg[GTK_STATE_NORMAL], postgres_xpm);

  pixmap1 = gtk_pixmap_new (postgres_pixmap, postgres_mask);
  gdk_pixmap_unref (postgres_pixmap);
  gdk_bitmap_unref (postgres_mask);
  gtk_object_set_data (GTK_OBJECT (dialog), "pixmap1", pixmap1);
  gtk_widget_show (pixmap1);
  gtk_box_pack_start (GTK_BOX (GTK_DIALOG (dialog)->vbox), pixmap1, TRUE, TRUE, 0);


  hbuttonbox = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox);
  gtk_box_pack_start (GTK_BOX (GTK_DIALOG (dialog)->action_area), hbuttonbox, TRUE, TRUE, 0);

  widget = gtk_button_new_with_label (_("Ok"));
  gtk_signal_connect_object (GTK_OBJECT (widget), "clicked", GTK_SIGNAL_FUNC (gtk_widget_destroy), GTK_OBJECT (dialog));
  gtk_container_add (GTK_CONTAINER (hbuttonbox), widget);

  gtk_widget_show (widget);
  gtk_window_set_policy (GTK_WINDOW (dialog), FALSE, FALSE, TRUE);
  gtk_window_set_title (GTK_WINDOW (dialog), _("About"));
  gtk_window_position (GTK_WINDOW (dialog), GTK_WIN_POS_CENTER);
  gtk_widget_grab_focus (dialog);
  gtk_widget_show (dialog);
  g_free (message);
}
