/*  KRunning 
 *  Copyright (C) 1998-2000 Andreas Scherf
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#ifndef CERTDESIGN_H
#define CERTDESIGN_H
#include <gtk/gtk.h>
#define SORT_DOWN FALSE
#define SORT_UP TRUE

typedef struct _PaperObject PaperObject;
typedef struct _ObjectListItem ObjectListItem;

struct _PaperObject
{
  gchar          *name;
  guint16         width;
  guint16         height;
  gfloat          zoom_factor;
  GList          *object_list;
};

struct _ObjectListItem
{
  GdkPoint       *origin;
  GdkRectangle   *rectangle;
  GdkFont        *fontset;
  GdkColor        line_color;
};

typedef enum
{
  SELECT_ALL,
  UNSELECT_ALL,
  SELECT_FIRST,
  SELECT_THREE,
  SELECT_WITHOUT_ONE,
  SELECT_WITHOUT_THREE
}
KRunningSelectionMode;

PaperObject    *paper_object_new (void);
gint            vscrollbar_update (GtkAdjustment * adjustment, GtkWidget * scrollbar);
gint            hscrollbar_update (GtkAdjustment * adjustment, GtkWidget * scrollbar);
/* Main dialog functions */
static char     clist_col_sort;
void            create_design_dialog (void);
void            create_print_certificates_dialog (void);

#endif /* CERTDESIGN_H */
