/*  KRunning
 *  Copyright (C) 1998-2001 Andreas Scherf
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef DATABASE_MODULES_H
#define DATABASE_MODULES_H

#define TM_YEAR_BASE 1900
#define EPOCH_YEAR 1970
#define DATABASE_ERROR_TEXT "Datenbankfehler !!\nSoll die Datenbank erstellt werden ?"

#include <libpq-fe.h>

/*----------------------------------------------------------------------------------------------------
Global variables for postgres connection
----------------------------------------------------------------------------------------------------*/
extern GList   *events;
extern GList   *vereine;

extern char    *pgoptions, *pgtty;

extern PGconn  *conn;
extern PGresult *res;


PGresult       *execSQL (gchar * format, ...);

/* For opening and closing Postgres database connections */
void pg_get_connection (); 
void pg_close_connection();

/* In and Output */
#ifdef HAVE_XML
void            save_xml_dialog (void);
void            load_xml_dialog (void);
#endif

GList          *clear_list (GList * listname);
/*gint compare (gpointer * a, gpointer * b);*/

gint            test_database (void);
void test_database_again (GtkWidget * widget, gpointer data);
void            create_connection_dialog (void);

/*gchar *show_klasse (int year_of_birth, int runners_sex);*/
gint            create_database_tables (GtkWidget * widget, gint number);

#endif /* DATABASE_MODULES_H */
