/*  KRunning
 *  Copyright (C) 1998-2001 Andreas Scherf
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef GUI_H
#define GUI_H
#include <gtk/gtk.h>
#include "krunenv.h"
typedef struct _KRunningPixmaps KRunningPixmaps;

typedef enum
{
  WARNING,
  ERROR,
  INFO,
  DEFAULT
}
KRunningMessageType;
extern KRunningPixmaps KRunningxpm;
/*---------------------------------------------------------------
  This function returns a widget in a component created by Glade.
  Call it with the toplevel widget in the component (i.e. a window/dialog),
  or alternatively any widget in the component, and the name of the widget
  you want returned.
-----------------------------------------------------------------*/
GtkWidget      *get_widget (GtkWidget * widget, gchar * widget_name);
void            test_string_funkt (GtkWidget * widget, gpointer data);


GtkWidget      *create_event_menu (void (*event_menue_response) (GtkWidget *, gpointer), gboolean show_all);
/* Preferences Tree */
GtkWidget      *KRunningAppendPage (GtkNotebook * notebook, gchar * title_label, GtkCTree * ctree, gchar * treeLabel, GtkCTreeNode * parent, GtkCTreeNode ** newNode, gint pageIndex);
void            KRunningCtreeSelect (GtkWidget * widget, GtkCTreeNode * node);
/* Events */
void            AppendTreeNode (GtkCTree * ctree, gchar * treeLabel, GtkCTreeNode * parent, GtkCTreeNode ** newNode, gint pageIndex);
/* Other */
void            message_box (KRunningMessageType type, const gchar * format, ...);
gint            init_pixmaps (GtkWidget * window);
GtkWidget      *create_color_button (gchar * button_color, gchar * button_text);
void            show_color_dialog (GtkWidget * widget, gpointer data);
gboolean        create_question_dialog (gchar * string, gint state);

/* GTK Functions */
GtkWidget      *clist_title_with_arrow (GtkWidget * clist, char col, char *label_text);
void            clist_title_with_arrow_set_up_dow (GtkWidget * arrow, char IS_UP);

struct _KRunningPixmaps
{
  GdkPixmap      *one, *two, *three, *four, *five, *six, *seven, *eight, *nine, *null, *separator, *dot, *space, *gray_header, *quad, *checkedbox, *crossbox, *import, *gnome_default, *gnome_error, *gnome_info, *gnome_warning, *calendar;

  GdkBitmap      *one_mask, *two_mask, *three_mask, *four_mask, *five_mask,
    *six_mask, *seven_mask, *eight_mask, *nine_mask, *null_mask, *separator_mask, *dot_mask, *space_mask, *gray_header_mask, *quad_mask, *checkedbox_mask, *crossbox_mask, *import_mask, *gnome_default_mask, *gnome_error_mask, *gnome_info_mask, *gnome_warning_mask, *calendar_mask;
};


extern KRunningPixmaps KRunningxpm;


#endif /* GUI_H */
