/*  KRunning
 *  Copyright (C) 1998-2001 Andreas Scherf
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef KRUNNING_IO_H
#define KRUNNING_IO_H

typedef struct _KImportData KImportData;

/* In and Output */
#ifdef HAVE_XML
void            save_xml_dialog (void);
void            load_xml_dialog (void);
#endif

void            save_data (GtkWidget * widget, GtkWidget * fs);

/* HTML Input-Output functions */
void            print_html_header (FILE * fd);
void            print_html_footer (FILE * fd);
void            print_table_header (FILE * fd);
void            print_table_footer (FILE * fd);
void            print_page_header (FILE * fd, gchar * eventname);
void            print_table_data (FILE * fd, gchar * number, gchar * last_name, gchar * first_name, gchar * team, gchar * birthday, gchar * class, gchar * time, gchar * place_total, gchar * place_class, gchar * place_sex, gchar * place_team);
void            save_html_dialog (void);
void            load_html_dialog (void);
void            import_times (void);

struct _KImportData
{
  gchar          *filename;
  guint           filetype;
  guint           running_event;
};

#endif /*KRUNNING_IO_H */
