#ifndef __KRUNENV_H
#define __KRUNENV_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <gtk/gtk.h>
#include <gdk/gdkkeysyms.h>

#include <stdlib.h>		/* atoi */

/*#include "database_modules.h"*/
#include "gui.h"

/* Here comes the Version of KRunning */
#define KRUNNING_INFO "KRunning (c) 1998-2001 Andreas Scherf"
#define CODENAME "Total Rewrite"
#ifndef VERSION
#define KRUNNING_VERSION "0.3.0"
#else
#define KRUNNING_VERSION VERSION
#endif

#define MAIL "scherfa@web.de"
#define URL "http://www.fh-trier.de/~scherfa/KRunning"


/* Internationalization. */
#ifdef ENABLE_NLS
#include <libintl.h>
#undef _
#define _(String) dgettext (PACKAGE, String)
#ifdef gettext_noop
#define N_(String) gettext_noop (String)
#else
#define N_(String) (String)
#endif
#else
/* Stubs that do something close enough.  */
#define textdomain(String) (String)
#define gettext(String) (String)
#define dgettext(Domain,Message) (Message)
#define dcgettext(Domain,Message,Type) (Message)
#define bindtextdomain(Domain,Directory) (Domain)
#define _(String) (String)
#define N_(String) (String)
#endif



#define KRUNNING_STATUS_ID	"status-update"
#define BORDER_WIDTH 5		/* Border width of some widgets */
#define DISPLAY_TIME 5		/* Time to display messages in seconds */
#define MAX_SORTINGSTR 100	/* Lnge eines Sortierstrings s.u. */
#define DATABASE_TABLES 5
#define MAX_TEAMNAME_LENGTH 50
#define SAVE_FILE_MIME ".krn"	/* Dateiendung der Datenbank */
#define NO_TEAM "kein Verein"
#define ALL_RUNNERS 255		/* For showing all runners of each event */

#define SAVE_DIR "/.krunning/"

/* Here are the sorting strings : */
#define ORDER_BY_NUMBER "order by runner.number "
#define ORDER_BY_RANG "order by runner.place_total"
#define ORDER_BY_NAME "order by runner.name, runner.vorname "
#define ORDER_BY_TIME "order by times.result_seconds "
#define ORDER_BY_CLASS "order by runner.geb_jahr DESC, runner.sex, runner.place_class "
/* Class */
typedef struct _ActualRunningEvent ActualRunningEvent;

typedef enum
{
  MALE,
  FEMALE,
  NOT_DEFINED
}
KRunningSexType;

typedef enum
{
  ORDER_BY_NUMBER_N,
  ORDER_BY_RANG_N,
  ORDER_BY_NAME_N,
  ORDER_BY_TIME_N,
  ORDER_BY_CLASS_N
}
KRunningSortingType;

/* KRunning Table types used in the load routine */
typedef enum
{
  NO_TABLE,
  TEAMS_TABLE,
  RUNNERS_TABLE,
  EVENTS_TABLE,
  TIMES_TABLE
}
KRunningTableTypes;

/* For the Position dialog */
typedef enum
{
  UNDO_LAST_DOING,
  DELETE_TIME,
  CHANGE_TIME
}
KRunningTimeType;

typedef enum
{
  CLASSES,
  TEAMS
}
KRunningListType;

typedef enum
{
  HTML,				/* HTML Save File */
  TIMES,			/* KRunning Times Database File Format (since 0.3.0) */
  RTL,				/* Ruwertallauf File Format (from an older Running Program) */
  POSTGRES,			/* Postgres dump file */
  POSTSCRIPT			/* The normal Postscript format */
}
KRunningFileFormat;

struct _ActualRunningEvent
{
  gint            event_number;	/* Running event number */
  gint            semaphor;	/* Only one running event could be used ! */
};

/* Some Colors declared in preferences.c */
extern GdkColor LRED;
extern GdkColor RED;
extern GdkColor WHITE;

extern ActualRunningEvent KRunning_event_number;
#endif /* KRUNENV_H */
