/*  KRunning
 *  Copyright (C) 1998-2001 Andreas Scherf
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#ifndef KRUNNING_TIME_H
#define KRUNNING_TIME_H
#include <gtk/gtk.h>
#include <stdio.h>
#include <sys/time.h>
#include <unistd.h>
#include <stdlib.h>

typedef struct _timestruct timestruct;
typedef struct _textlabel textlabel;

typedef struct
{
  // Schwachsinn Stunden ... man kann doch Sekunden immer umrechnen !!
  // Ich habe 6 Zeiten gewaehlt Stunden,Minuten,Sekunden und eventuell
  // auch Zehntel,Hundertstel und Tausendstel man kann ja nie wissen ...
  // [0] --> Stunden
  // [1] --> Minuten
  // [2] --> Sekunden
  // [3] --> Zehntel Sek.
  // [4] --> Hundertstel Sek.
  // [5] --> Tausendstel Sek.
  gint            currenttime[5];
  gint            starttime[5];
  gint            runner_number;	// Runners Identification Number

  gint            run_number;	// Nummer des Laufs  

}
time_ctrl;

struct _timestruct
{
  int             hour;
  int             minute;
  int             second;
};


typedef struct
{
  gint            day;
  gint            month;
  gchar          *monthname;
  gint            year;
}
date_format;

struct _textlabel
{
  GtkLabel       *label;
  gchar          *text;
};

extern void     finish (int sig);
extern time_ctrl gettime (time_ctrl timeorga);
extern gchar   *month_name_de (int n);
extern date_format get_date (void);
extern void     ndisplay_text (GtkWidget * label, gchar * text, guint sec);
gchar          *sec_to_string (guint32 seconds);
gchar          *show_klasse (int year_of_birth, int runners_sex);

#endif /* KRUNNING_TIME_H */
