
/*  KRunning
 *  Copyright (C) 1998-2001 Andreas Scherf
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#include <stdio.h>
#include <gtk/gtk.h>		// For using the Gimp Toolkit
/*#include <libpq-fe.h>*/
#include <unistd.h>
#include "menubar.h"
#include "editrundlg.h"
#include "about_dlg.h"
#include "main.h"
#include "krunenv.h"
#include "database_modules.h"
#include "preferences.h"
#define PACKAGE "krunning"

static void     show_message (int number);

int
main (int argc, char *argv[])
{
 
  show_message (0);
 
#ifdef ENABLE_NLS
  bindtextdomain (PACKAGE, KRN_LOCALE_DIR);
  textdomain (PACKAGE);
#endif
#ifdef HAVE_GETTEXT
  gtk_set_locale ();
#endif

  gtk_init (&argc, &argv);

/* This is the init for the preferences files */
  init_config ();

  /* Connect to postgres */
  pg_get_connection();
  
  events = NULL;

  create_window_main ();
  gtk_main ();
  pg_close_connection();
  return 0;
}

static void
show_message (gint number)
{
  if (number == 0) {
    g_print (_("%s \nVersion %s\n"),KRUNNING_INFO,KRUNNING_VERSION);
  }
}

void
file_quit_cmd_callback (GtkWidget * widget, gpointer data)
{
  g_print (_("Good Bye ...\n"));
 pg_close_connection();
#ifdef DEBUG
  g_mem_profile ();
#endif
  gtk_exit (0);
}
