/*  KRunning
 *  Copyright (C) 1998 Andreas Scherf
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _PRINTING_H
#define _PRINTING_H
#include <gtk/gtk.h>
#include "krunenv.h"

/* #define FONT                 "Helvetica"      */
/* #define FONTBOLD             "Helvetica-Bold" */
#define FONT		"Times-Roman"
#define FONTBOLD	"Times-Bold"
#define EXTRA_FONT      "Symbol"

#define NEW_PAGE 126
#define POSTSCRIPT_CENTER " %d %d (%s) %d centerText\n"
#define POSTSCRIPT_PLACE " %d %d (%s) %d %s scaleshow\n"

typedef struct _PrintObject PrintObject;
typedef struct _PrintStruct PrintStruct;
typedef struct _PaperSize PaperSize;

typedef enum
{
  DINA3 = 1,
  DINA4,
  DINA5,
  LETTER,
  LEGAL
}
PaperFormatNumber;

struct _PaperSize
{
  gchar          *format_name;
  PaperFormatNumber number;
  gint            size_x;
  gint            size_y;
};

typedef enum
{
  TEAMLIST,			/* List of all teams in database */
  TEAMRESULTLIST,		/* List with the teamresults */
  CLASSLIST,			/* List with results sorted by class */
  RESULTLIST,			/* Resultlist with runners and all results */
  RUNNERLIST,			/* List with stored runners without results */
  CERTIFICATE			/* The Certificates */
}
DocumentType;

struct _PrintStruct
{
  gint            left;
  gint            right;
  gint            max_x;
  gint            max_y;
  gint            linesperpage;
  gint            headerfont;
  gint            headerSize;
  gint            fontsize;
  gint            lines;
  gint            PageLines;
  gint            footerSize;
  gint            border;
  gint            Pages;
  gint            PageSum;
  gint            characters;
  gint            unuseableHeader;
  gint            unuseableFooter;
  gchar          *host;
  gchar          *name;
  gchar          *user;
  gchar          *eventname;
  gint            type;
};

struct _PrintObject
{
  gint            event_number;
  gint            lines;
  DocumentType    listtype;
  GtkCList       *main_clist;
  GtkText        *main_text;
  KRunningFileFormat file_format;
  PaperFormatNumber ObjectSize;
  GtkWidget      *parent_window;
  GtkFileSelection *fs;
  gboolean        save_file;
};
gint            get_paper_number (gchar * paper_format);
gchar          *get_paper_format (gint paper_number);
gchar          *get_paper_x_size (gint paper_number);
gchar          *get_paper_y_size (gint paper_number);
extern PaperSize paper_sizes[];
extern guint    paper_sizes_n;
void            print_runner_sign (GtkWidget * widget, gpointer * data);
void            print_clist (GtkWidget * widget, PrintObject * p_obj);
gchar          *string_center (gchar * text, gint width);
gchar          *cut_text (gchar * text, gint length);
#endif /* _PRINTING_H */
